//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM2004-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : US2066
// INTERFACE : I2C
// MCU 		   : STM32F103C8T6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PA0
// SDA    PA1
// RES    PA2



#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "oled_Custom.h"


int main()
{
  u16 i=0,a=0;
	delay_init();	
	OLED_Init();

	OLED_ShowString(1,0,"www.buydisplay.com");
	OLED_Display_Custom(14,1,0x06,b);	
  OLED_ShowString(3,1,"2004Character");
	OLED_ShowString(0,2,"EastrisingTechnology");
	OLED_Display_Custom(16,2,0x06,b);	
  OLED_ShowString(3,3,"Hello,World!!");
	while(1)
	{	
   //αʾ
	 OLED_Display_Cursor(i,a,0,1);
	 i++;
	 if(i==0x14&&(a==0||a==1||a==2))
	 {
		 i=0;
		 a+=1;
	 }
   if(i==0x13&&a==3)
	 {
		 i=0;
		 a=0;
	 }
	 	 delay_ms(100);
	}
}
